Package com.avaya.clientservices.provider.conference

## Class ConferenceConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.conference.ConferenceConfiguration

-     public class ConferenceConfiguration
      extends java.lang.Object

  User Configuration information for Conference. This class provides the configuration data for Conferences and Collaboration

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConferenceConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConferenceFactoryUri()` | An Adhoc Conference URL.
    `java.lang.String` | `getConferencePortalUri()` | The URI of the Conference Portal.
    `int` | `getInitialReconnectInterval()` |
    `int` | `getMaxReconnectInterval()` |
    `java.lang.String` | `getModeratorCode()` | Conference Moderator code, to allow Click to Join own bridge via Meetme Client
    `java.lang.String` | `getModeratorUrl()` | Conference Moderator URL, to allow Click to Join own bridge via Meetme Client
    `java.lang.String` | `getParticipantCode()` | Conference Participant code, to allow user to share participant code to other users in Calendar invites and Share My Bridge.
    `java.lang.String` | `getParticipantUrl()` | Conference Participant URL, to allow user to share participant URL to other users in Calendar invites and Share My Bridge.
    `java.lang.String` | `getVirtualRoomId()` | The Scopia Virtual Room ID for the Virtual room owner.
    `boolean` | `isEnhancedConferencingEnabled()` | A Boolean value indicating whether the enhanced conference features are enabled.
    `boolean` | `isLocalConferencingEnabled()` | Is local conferencing enabled.
    `boolean` | `isUCCPAdditionalFeaturesEnabled()` | A Boolean value indicating whether the additional UCCP features is enabled.
    `boolean` | `isUCCPEnabled()` | A Boolean value indicating whether the UCCP Conference protocol is enabled.
    `void` | `setConferenceFactoryUri​(java.lang.String conferenceFactoryUri)` | Set the ConferenceFactoryUri If both a ConferenceFactoryUri is set and local conferencing is enabled, the conference factory will be used.
    `void` | `setConferencePortalUri​(java.lang.String conferencePortalUri)` | Set the ConferencePortalUri
    `void` | `setEnhancedConferencingEnabled​(boolean enabled)` | Set the Boolean value indicating whether enhanced conference features like Conference Rosters, Conference Lock, etc.
    `void` | `setInitialReconnectInterval​(int initialReconnectInterval)` | When connections fail, they are retried at a random interval somewhere between 50% and 100% of the interval specified here.
    `void` | `setLocalConferencingEnabled​(boolean enabled)` | Enable or disable local conferencing.
    `void` | `setMaxReconnectInterval​(int maxReconnectInterval)` | Set the max reconnection attempt interval.
    `void` | `setModeratorCode​(java.lang.String moderatorCode)` | Set the Moderator code
    `void` | `setModeratorUrl​(java.lang.String moderatorUrl)` | Set the Moderator URL
    `void` | `setParticipantCode​(java.lang.String participantCode)` | Set the participant code
    `void` | `setParticipantUrl​(java.lang.String participantUrl)` | Set the participant URL
    `void` | `setUCCPAdditionalFeaturesEnabled​(boolean enabled)` | Set the Boolean value indicating whether the additional UCCP features is enabled.
    `void` | `setUCCPEnabled​(boolean enabled)` | Set the Boolean value indicating whether the UCCP Conference protocol is enabled.
    `void` | `setVirtualRoomId​(java.lang.String virtualRoomId)` | Set the Virtual Room ID

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConferenceConfiguration

          public ConferenceConfiguration()

  - ### Method Detail

    - #### getConferenceFactoryUri

          public java.lang.String getConferenceFactoryUri()

      An Adhoc Conference URL. This parameter is optional. This field is a string that can be null ("") or a URL that defines the ad-hoc conference resource to be used by the endpoint.
      Returns:
        String value representing an Adhoc Conference URL.

    - #### setConferenceFactoryUri

          public void setConferenceFactoryUri​(java.lang.String conferenceFactoryUri)

      Set the ConferenceFactoryUri If both a ConferenceFactoryUri is set and local conferencing is enabled, the conference factory will be used.
      Parameters:
        `conferenceFactoryUri` - the ConferenceFactoryUri

    - #### getConferencePortalUri

          public java.lang.String getConferencePortalUri()

      The URI of the Conference Portal. This allows an affordance on client UI to launch the conference portal for extended of advanced conference interactions, such as settings.
      Returns:
        String value representing the URI of the Conference Portal

    - #### setConferencePortalUri

          public void setConferencePortalUri​(java.lang.String conferencePortalUri)

      Set the ConferencePortalUri
      Parameters:
        `conferencePortalUri` - the ConferencePortalUri

    - #### getModeratorCode

          public java.lang.String getModeratorCode()

      Conference Moderator code, to allow Click to Join own bridge via Meetme Client
      Returns:
        A String value representing the Code to be used for moderator to join conference.

    - #### setModeratorCode

          public void setModeratorCode​(java.lang.String moderatorCode)

      Set the Moderator code
      Parameters:
        `moderatorCode` - the Moderator code

    - #### getParticipantCode

          public java.lang.String getParticipantCode()

      Conference Participant code, to allow user to share participant code to other users in Calendar invites and Share My Bridge.
      Returns:
        A String value representing the Code to be used for participants to join conference

    - #### setParticipantCode

          public void setParticipantCode​(java.lang.String participantCode)

      Set the participant code
      Parameters:
        `participantCode` - the participant code

    - #### getModeratorUrl

          public java.lang.String getModeratorUrl()

      Conference Moderator URL, to allow Click to Join own bridge via Meetme Client
      Returns:
        A String value representing the to be used for moderator to access the conference

    - #### setModeratorUrl

          public void setModeratorUrl​(java.lang.String moderatorUrl)

      Set the Moderator URL
      Parameters:
        `moderatorUrl` - the Moderator URL

    - #### getParticipantUrl

          public java.lang.String getParticipantUrl()

      Conference Participant URL, to allow user to share participant URL to other users in Calendar invites and Share My Bridge.
      Returns:
        A String value representing the to be used for participants to access the conference

    - #### setParticipantUrl

          public void setParticipantUrl​(java.lang.String participantUrl)

      Set the participant URL
      Parameters:
        `participantUrl` - the participant URL

    - #### getVirtualRoomId

          public java.lang.String getVirtualRoomId()

      The Scopia Virtual Room ID for the Virtual room owner.
      Returns:
        A String value representing Virtual Room ID

    - #### setVirtualRoomId

          public void setVirtualRoomId​(java.lang.String virtualRoomId)

      Set the Virtual Room ID
      Parameters:
        `virtualRoomId` - the Virtual Room ID

    - #### isUCCPEnabled

          public boolean isUCCPEnabled()

      A Boolean value indicating whether the UCCP Conference protocol is enabled.
      Returns:
        true if UCCP is enabled, otherwise false.

    - #### isUCCPAdditionalFeaturesEnabled

          public boolean isUCCPAdditionalFeaturesEnabled()

      A Boolean value indicating whether the additional UCCP features is enabled.
      Returns:
        true if additional UCCP features is enabled, otherwise false.

    - #### setUCCPEnabled

          public void setUCCPEnabled​(boolean enabled)

      Set the Boolean value indicating whether the UCCP Conference protocol is enabled.
      Parameters:
        `enabled` - true if UCCP is enabled, otherwise false.

    - #### setUCCPAdditionalFeaturesEnabled

          public void setUCCPAdditionalFeaturesEnabled​(boolean enabled)

      Set the Boolean value indicating whether the additional UCCP features is enabled.
      Parameters:
        `enabled` - true if UCCP is enabled, otherwise false.

    - #### isEnhancedConferencingEnabled

          public boolean isEnhancedConferencingEnabled()

      A Boolean value indicating whether the enhanced conference features are enabled.
      Returns:
        true if enhanced conferencing is enabled, otherwise false.

    - #### setEnhancedConferencingEnabled

          public void setEnhancedConferencingEnabled​(boolean enabled)

      Set the Boolean value indicating whether enhanced conference features like Conference Rosters, Conference Lock, etc. are enabled. Also not all call capabilities would be available if it's disabled.
      Parameters:
        `enabled` - true if enhanced conference features are enabled.

    - #### isLocalConferencingEnabled

          public boolean isLocalConferencingEnabled()

      Is local conferencing enabled.
      Returns:
        true if local conferencing is enabled, otherwise false.

    - #### setLocalConferencingEnabled

          public void setLocalConferencingEnabled​(boolean enabled)

      Enable or disable local conferencing. In a local conference media mixing is performed locally on the endpoint rather than via a conferencing server. This option is typically enabled only in deployments without server based conferencing capabilities. If both a `ConferenceFactoryUri` is set and local conferencing is enabled, the conference factory will be used.
      Parameters:
        `enabled` - true if local conferencing is enabled.

    - #### setInitialReconnectInterval

          public void setInitialReconnectInterval​(int initialReconnectInterval)

      When connections fail, they are retried at a random interval somewhere between 50% and 100% of the interval specified here. The default is 2 seconds. For every subsequent failure, the initial interval is doubled until the maximum value is reached (see `setMaxReconnectInterval(int)`).
      Parameters:
        `initialReconnectInterval` - The nominal interval to wait (in seconds) before the first reconnection attempt. 0 disables automatic reconnection attempts. Values less than 0 or greater than 65535 are ignored.

    - #### getInitialReconnectInterval

          public int getInitialReconnectInterval()

    - #### setMaxReconnectInterval

          public void setMaxReconnectInterval​(int maxReconnectInterval)

      Set the max reconnection attempt interval. Set the upper bound for the reconnection attempt interval algorithm. The default is 1800 seconds.
      Parameters:
        `maxReconnectInterval` - The maximum delay interval between automatic reconnection attempts. Values less than 0 or greater than 65535 are ignored.

    - #### getMaxReconnectInterval

          public int getMaxReconnectInterval()